Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
27c0::/12
First address
27c0::
Last address
27cf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
27c0:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
c.7.2.ip6.arpa
Split into smaller subnets/28

27c0::/12 makes 65,536 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
127c0::/2827c0:f:ffff:ffff:ffff:ffff:ffff:ffff
227c0:10::/2827c0:1f:ffff:ffff:ffff:ffff:ffff:ffff
327c0:20::/2827c0:2f:ffff:ffff:ffff:ffff:ffff:ffff
427c0:30::/2827c0:3f:ffff:ffff:ffff:ffff:ffff:ffff
527c0:40::/2827c0:4f:ffff:ffff:ffff:ffff:ffff:ffff
627c0:50::/2827c0:5f:ffff:ffff:ffff:ffff:ffff:ffff
727c0:60::/2827c0:6f:ffff:ffff:ffff:ffff:ffff:ffff
827c0:70::/2827c0:7f:ffff:ffff:ffff:ffff:ffff:ffff
927c0:80::/2827c0:8f:ffff:ffff:ffff:ffff:ffff:ffff
1027c0:90::/2827c0:9f:ffff:ffff:ffff:ffff:ffff:ffff
1127c0:a0::/2827c0:af:ffff:ffff:ffff:ffff:ffff:ffff
1227c0:b0::/2827c0:bf:ffff:ffff:ffff:ffff:ffff:ffff
1327c0:c0::/2827c0:cf:ffff:ffff:ffff:ffff:ffff:ffff
1427c0:d0::/2827c0:df:ffff:ffff:ffff:ffff:ffff:ffff
1527c0:e0::/2827c0:ef:ffff:ffff:ffff:ffff:ffff:ffff
1627c0:f0::/2827c0:ff:ffff:ffff:ffff:ffff:ffff:ffff
1727c0:100::/2827c0:10f:ffff:ffff:ffff:ffff:ffff:ffff
1827c0:110::/2827c0:11f:ffff:ffff:ffff:ffff:ffff:ffff
1927c0:120::/2827c0:12f:ffff:ffff:ffff:ffff:ffff:ffff
2027c0:130::/2827c0:13f:ffff:ffff:ffff:ffff:ffff:ffff
2127c0:140::/2827c0:14f:ffff:ffff:ffff:ffff:ffff:ffff
2227c0:150::/2827c0:15f:ffff:ffff:ffff:ffff:ffff:ffff
2327c0:160::/2827c0:16f:ffff:ffff:ffff:ffff:ffff:ffff
2427c0:170::/2827c0:17f:ffff:ffff:ffff:ffff:ffff:ffff
2527c0:180::/2827c0:18f:ffff:ffff:ffff:ffff:ffff:ffff
2627c0:190::/2827c0:19f:ffff:ffff:ffff:ffff:ffff:ffff
2727c0:1a0::/2827c0:1af:ffff:ffff:ffff:ffff:ffff:ffff
2827c0:1b0::/2827c0:1bf:ffff:ffff:ffff:ffff:ffff:ffff
2927c0:1c0::/2827c0:1cf:ffff:ffff:ffff:ffff:ffff:ffff
3027c0:1d0::/2827c0:1df:ffff:ffff:ffff:ffff:ffff:ffff
3127c0:1e0::/2827c0:1ef:ffff:ffff:ffff:ffff:ffff:ffff
3227c0:1f0::/2827c0:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3327c0:200::/2827c0:20f:ffff:ffff:ffff:ffff:ffff:ffff
3427c0:210::/2827c0:21f:ffff:ffff:ffff:ffff:ffff:ffff
3527c0:220::/2827c0:22f:ffff:ffff:ffff:ffff:ffff:ffff
3627c0:230::/2827c0:23f:ffff:ffff:ffff:ffff:ffff:ffff
3727c0:240::/2827c0:24f:ffff:ffff:ffff:ffff:ffff:ffff
3827c0:250::/2827c0:25f:ffff:ffff:ffff:ffff:ffff:ffff
3927c0:260::/2827c0:26f:ffff:ffff:ffff:ffff:ffff:ffff
4027c0:270::/2827c0:27f:ffff:ffff:ffff:ffff:ffff:ffff
4127c0:280::/2827c0:28f:ffff:ffff:ffff:ffff:ffff:ffff
4227c0:290::/2827c0:29f:ffff:ffff:ffff:ffff:ffff:ffff
4327c0:2a0::/2827c0:2af:ffff:ffff:ffff:ffff:ffff:ffff
4427c0:2b0::/2827c0:2bf:ffff:ffff:ffff:ffff:ffff:ffff
4527c0:2c0::/2827c0:2cf:ffff:ffff:ffff:ffff:ffff:ffff
4627c0:2d0::/2827c0:2df:ffff:ffff:ffff:ffff:ffff:ffff
4727c0:2e0::/2827c0:2ef:ffff:ffff:ffff:ffff:ffff:ffff
4827c0:2f0::/2827c0:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4927c0:300::/2827c0:30f:ffff:ffff:ffff:ffff:ffff:ffff
5027c0:310::/2827c0:31f:ffff:ffff:ffff:ffff:ffff:ffff
5127c0:320::/2827c0:32f:ffff:ffff:ffff:ffff:ffff:ffff
5227c0:330::/2827c0:33f:ffff:ffff:ffff:ffff:ffff:ffff
5327c0:340::/2827c0:34f:ffff:ffff:ffff:ffff:ffff:ffff
5427c0:350::/2827c0:35f:ffff:ffff:ffff:ffff:ffff:ffff
5527c0:360::/2827c0:36f:ffff:ffff:ffff:ffff:ffff:ffff
5627c0:370::/2827c0:37f:ffff:ffff:ffff:ffff:ffff:ffff
5727c0:380::/2827c0:38f:ffff:ffff:ffff:ffff:ffff:ffff
5827c0:390::/2827c0:39f:ffff:ffff:ffff:ffff:ffff:ffff
5927c0:3a0::/2827c0:3af:ffff:ffff:ffff:ffff:ffff:ffff
6027c0:3b0::/2827c0:3bf:ffff:ffff:ffff:ffff:ffff:ffff
6127c0:3c0::/2827c0:3cf:ffff:ffff:ffff:ffff:ffff:ffff
6227c0:3d0::/2827c0:3df:ffff:ffff:ffff:ffff:ffff:ffff
6327c0:3e0::/2827c0:3ef:ffff:ffff:ffff:ffff:ffff:ffff
6427c0:3f0::/2827c0:3ff:ffff:ffff:ffff:ffff:ffff:ffff
6527c0:400::/2827c0:40f:ffff:ffff:ffff:ffff:ffff:ffff
6627c0:410::/2827c0:41f:ffff:ffff:ffff:ffff:ffff:ffff
6727c0:420::/2827c0:42f:ffff:ffff:ffff:ffff:ffff:ffff
6827c0:430::/2827c0:43f:ffff:ffff:ffff:ffff:ffff:ffff
6927c0:440::/2827c0:44f:ffff:ffff:ffff:ffff:ffff:ffff
7027c0:450::/2827c0:45f:ffff:ffff:ffff:ffff:ffff:ffff
7127c0:460::/2827c0:46f:ffff:ffff:ffff:ffff:ffff:ffff
7227c0:470::/2827c0:47f:ffff:ffff:ffff:ffff:ffff:ffff
7327c0:480::/2827c0:48f:ffff:ffff:ffff:ffff:ffff:ffff
7427c0:490::/2827c0:49f:ffff:ffff:ffff:ffff:ffff:ffff
7527c0:4a0::/2827c0:4af:ffff:ffff:ffff:ffff:ffff:ffff
7627c0:4b0::/2827c0:4bf:ffff:ffff:ffff:ffff:ffff:ffff
7727c0:4c0::/2827c0:4cf:ffff:ffff:ffff:ffff:ffff:ffff
7827c0:4d0::/2827c0:4df:ffff:ffff:ffff:ffff:ffff:ffff
7927c0:4e0::/2827c0:4ef:ffff:ffff:ffff:ffff:ffff:ffff
8027c0:4f0::/2827c0:4ff:ffff:ffff:ffff:ffff:ffff:ffff
8127c0:500::/2827c0:50f:ffff:ffff:ffff:ffff:ffff:ffff
8227c0:510::/2827c0:51f:ffff:ffff:ffff:ffff:ffff:ffff
8327c0:520::/2827c0:52f:ffff:ffff:ffff:ffff:ffff:ffff
8427c0:530::/2827c0:53f:ffff:ffff:ffff:ffff:ffff:ffff
8527c0:540::/2827c0:54f:ffff:ffff:ffff:ffff:ffff:ffff
8627c0:550::/2827c0:55f:ffff:ffff:ffff:ffff:ffff:ffff
8727c0:560::/2827c0:56f:ffff:ffff:ffff:ffff:ffff:ffff
8827c0:570::/2827c0:57f:ffff:ffff:ffff:ffff:ffff:ffff
8927c0:580::/2827c0:58f:ffff:ffff:ffff:ffff:ffff:ffff
9027c0:590::/2827c0:59f:ffff:ffff:ffff:ffff:ffff:ffff
9127c0:5a0::/2827c0:5af:ffff:ffff:ffff:ffff:ffff:ffff
9227c0:5b0::/2827c0:5bf:ffff:ffff:ffff:ffff:ffff:ffff
9327c0:5c0::/2827c0:5cf:ffff:ffff:ffff:ffff:ffff:ffff
9427c0:5d0::/2827c0:5df:ffff:ffff:ffff:ffff:ffff:ffff
9527c0:5e0::/2827c0:5ef:ffff:ffff:ffff:ffff:ffff:ffff
9627c0:5f0::/2827c0:5ff:ffff:ffff:ffff:ffff:ffff:ffff
9727c0:600::/2827c0:60f:ffff:ffff:ffff:ffff:ffff:ffff
9827c0:610::/2827c0:61f:ffff:ffff:ffff:ffff:ffff:ffff
9927c0:620::/2827c0:62f:ffff:ffff:ffff:ffff:ffff:ffff
10027c0:630::/2827c0:63f:ffff:ffff:ffff:ffff:ffff:ffff
10127c0:640::/2827c0:64f:ffff:ffff:ffff:ffff:ffff:ffff
10227c0:650::/2827c0:65f:ffff:ffff:ffff:ffff:ffff:ffff
10327c0:660::/2827c0:66f:ffff:ffff:ffff:ffff:ffff:ffff
10427c0:670::/2827c0:67f:ffff:ffff:ffff:ffff:ffff:ffff
10527c0:680::/2827c0:68f:ffff:ffff:ffff:ffff:ffff:ffff
10627c0:690::/2827c0:69f:ffff:ffff:ffff:ffff:ffff:ffff
10727c0:6a0::/2827c0:6af:ffff:ffff:ffff:ffff:ffff:ffff
10827c0:6b0::/2827c0:6bf:ffff:ffff:ffff:ffff:ffff:ffff
10927c0:6c0::/2827c0:6cf:ffff:ffff:ffff:ffff:ffff:ffff
11027c0:6d0::/2827c0:6df:ffff:ffff:ffff:ffff:ffff:ffff
11127c0:6e0::/2827c0:6ef:ffff:ffff:ffff:ffff:ffff:ffff
11227c0:6f0::/2827c0:6ff:ffff:ffff:ffff:ffff:ffff:ffff
11327c0:700::/2827c0:70f:ffff:ffff:ffff:ffff:ffff:ffff
11427c0:710::/2827c0:71f:ffff:ffff:ffff:ffff:ffff:ffff
11527c0:720::/2827c0:72f:ffff:ffff:ffff:ffff:ffff:ffff
11627c0:730::/2827c0:73f:ffff:ffff:ffff:ffff:ffff:ffff
11727c0:740::/2827c0:74f:ffff:ffff:ffff:ffff:ffff:ffff
11827c0:750::/2827c0:75f:ffff:ffff:ffff:ffff:ffff:ffff
11927c0:760::/2827c0:76f:ffff:ffff:ffff:ffff:ffff:ffff
12027c0:770::/2827c0:77f:ffff:ffff:ffff:ffff:ffff:ffff
12127c0:780::/2827c0:78f:ffff:ffff:ffff:ffff:ffff:ffff
12227c0:790::/2827c0:79f:ffff:ffff:ffff:ffff:ffff:ffff
12327c0:7a0::/2827c0:7af:ffff:ffff:ffff:ffff:ffff:ffff
12427c0:7b0::/2827c0:7bf:ffff:ffff:ffff:ffff:ffff:ffff
12527c0:7c0::/2827c0:7cf:ffff:ffff:ffff:ffff:ffff:ffff
12627c0:7d0::/2827c0:7df:ffff:ffff:ffff:ffff:ffff:ffff
12727c0:7e0::/2827c0:7ef:ffff:ffff:ffff:ffff:ffff:ffff
12827c0:7f0::/2827c0:7ff:ffff:ffff:ffff:ffff:ffff:ffff
12927c0:800::/2827c0:80f:ffff:ffff:ffff:ffff:ffff:ffff
13027c0:810::/2827c0:81f:ffff:ffff:ffff:ffff:ffff:ffff
13127c0:820::/2827c0:82f:ffff:ffff:ffff:ffff:ffff:ffff
13227c0:830::/2827c0:83f:ffff:ffff:ffff:ffff:ffff:ffff
13327c0:840::/2827c0:84f:ffff:ffff:ffff:ffff:ffff:ffff
13427c0:850::/2827c0:85f:ffff:ffff:ffff:ffff:ffff:ffff
13527c0:860::/2827c0:86f:ffff:ffff:ffff:ffff:ffff:ffff
13627c0:870::/2827c0:87f:ffff:ffff:ffff:ffff:ffff:ffff
13727c0:880::/2827c0:88f:ffff:ffff:ffff:ffff:ffff:ffff
13827c0:890::/2827c0:89f:ffff:ffff:ffff:ffff:ffff:ffff
13927c0:8a0::/2827c0:8af:ffff:ffff:ffff:ffff:ffff:ffff
14027c0:8b0::/2827c0:8bf:ffff:ffff:ffff:ffff:ffff:ffff
14127c0:8c0::/2827c0:8cf:ffff:ffff:ffff:ffff:ffff:ffff
14227c0:8d0::/2827c0:8df:ffff:ffff:ffff:ffff:ffff:ffff
14327c0:8e0::/2827c0:8ef:ffff:ffff:ffff:ffff:ffff:ffff
14427c0:8f0::/2827c0:8ff:ffff:ffff:ffff:ffff:ffff:ffff
14527c0:900::/2827c0:90f:ffff:ffff:ffff:ffff:ffff:ffff
14627c0:910::/2827c0:91f:ffff:ffff:ffff:ffff:ffff:ffff
14727c0:920::/2827c0:92f:ffff:ffff:ffff:ffff:ffff:ffff
14827c0:930::/2827c0:93f:ffff:ffff:ffff:ffff:ffff:ffff
14927c0:940::/2827c0:94f:ffff:ffff:ffff:ffff:ffff:ffff
15027c0:950::/2827c0:95f:ffff:ffff:ffff:ffff:ffff:ffff
15127c0:960::/2827c0:96f:ffff:ffff:ffff:ffff:ffff:ffff
15227c0:970::/2827c0:97f:ffff:ffff:ffff:ffff:ffff:ffff
15327c0:980::/2827c0:98f:ffff:ffff:ffff:ffff:ffff:ffff
15427c0:990::/2827c0:99f:ffff:ffff:ffff:ffff:ffff:ffff
15527c0:9a0::/2827c0:9af:ffff:ffff:ffff:ffff:ffff:ffff
15627c0:9b0::/2827c0:9bf:ffff:ffff:ffff:ffff:ffff:ffff
15727c0:9c0::/2827c0:9cf:ffff:ffff:ffff:ffff:ffff:ffff
15827c0:9d0::/2827c0:9df:ffff:ffff:ffff:ffff:ffff:ffff
15927c0:9e0::/2827c0:9ef:ffff:ffff:ffff:ffff:ffff:ffff
16027c0:9f0::/2827c0:9ff:ffff:ffff:ffff:ffff:ffff:ffff
16127c0:a00::/2827c0:a0f:ffff:ffff:ffff:ffff:ffff:ffff
16227c0:a10::/2827c0:a1f:ffff:ffff:ffff:ffff:ffff:ffff
16327c0:a20::/2827c0:a2f:ffff:ffff:ffff:ffff:ffff:ffff
16427c0:a30::/2827c0:a3f:ffff:ffff:ffff:ffff:ffff:ffff
16527c0:a40::/2827c0:a4f:ffff:ffff:ffff:ffff:ffff:ffff
16627c0:a50::/2827c0:a5f:ffff:ffff:ffff:ffff:ffff:ffff
16727c0:a60::/2827c0:a6f:ffff:ffff:ffff:ffff:ffff:ffff
16827c0:a70::/2827c0:a7f:ffff:ffff:ffff:ffff:ffff:ffff
16927c0:a80::/2827c0:a8f:ffff:ffff:ffff:ffff:ffff:ffff
17027c0:a90::/2827c0:a9f:ffff:ffff:ffff:ffff:ffff:ffff
17127c0:aa0::/2827c0:aaf:ffff:ffff:ffff:ffff:ffff:ffff
17227c0:ab0::/2827c0:abf:ffff:ffff:ffff:ffff:ffff:ffff
17327c0:ac0::/2827c0:acf:ffff:ffff:ffff:ffff:ffff:ffff
17427c0:ad0::/2827c0:adf:ffff:ffff:ffff:ffff:ffff:ffff
17527c0:ae0::/2827c0:aef:ffff:ffff:ffff:ffff:ffff:ffff
17627c0:af0::/2827c0:aff:ffff:ffff:ffff:ffff:ffff:ffff
17727c0:b00::/2827c0:b0f:ffff:ffff:ffff:ffff:ffff:ffff
17827c0:b10::/2827c0:b1f:ffff:ffff:ffff:ffff:ffff:ffff
17927c0:b20::/2827c0:b2f:ffff:ffff:ffff:ffff:ffff:ffff
18027c0:b30::/2827c0:b3f:ffff:ffff:ffff:ffff:ffff:ffff
18127c0:b40::/2827c0:b4f:ffff:ffff:ffff:ffff:ffff:ffff
18227c0:b50::/2827c0:b5f:ffff:ffff:ffff:ffff:ffff:ffff
18327c0:b60::/2827c0:b6f:ffff:ffff:ffff:ffff:ffff:ffff
18427c0:b70::/2827c0:b7f:ffff:ffff:ffff:ffff:ffff:ffff
18527c0:b80::/2827c0:b8f:ffff:ffff:ffff:ffff:ffff:ffff
18627c0:b90::/2827c0:b9f:ffff:ffff:ffff:ffff:ffff:ffff
18727c0:ba0::/2827c0:baf:ffff:ffff:ffff:ffff:ffff:ffff
18827c0:bb0::/2827c0:bbf:ffff:ffff:ffff:ffff:ffff:ffff
18927c0:bc0::/2827c0:bcf:ffff:ffff:ffff:ffff:ffff:ffff
19027c0:bd0::/2827c0:bdf:ffff:ffff:ffff:ffff:ffff:ffff
19127c0:be0::/2827c0:bef:ffff:ffff:ffff:ffff:ffff:ffff
19227c0:bf0::/2827c0:bff:ffff:ffff:ffff:ffff:ffff:ffff
19327c0:c00::/2827c0:c0f:ffff:ffff:ffff:ffff:ffff:ffff
19427c0:c10::/2827c0:c1f:ffff:ffff:ffff:ffff:ffff:ffff
19527c0:c20::/2827c0:c2f:ffff:ffff:ffff:ffff:ffff:ffff
19627c0:c30::/2827c0:c3f:ffff:ffff:ffff:ffff:ffff:ffff
19727c0:c40::/2827c0:c4f:ffff:ffff:ffff:ffff:ffff:ffff
19827c0:c50::/2827c0:c5f:ffff:ffff:ffff:ffff:ffff:ffff
19927c0:c60::/2827c0:c6f:ffff:ffff:ffff:ffff:ffff:ffff
20027c0:c70::/2827c0:c7f:ffff:ffff:ffff:ffff:ffff:ffff
20127c0:c80::/2827c0:c8f:ffff:ffff:ffff:ffff:ffff:ffff
20227c0:c90::/2827c0:c9f:ffff:ffff:ffff:ffff:ffff:ffff
20327c0:ca0::/2827c0:caf:ffff:ffff:ffff:ffff:ffff:ffff
20427c0:cb0::/2827c0:cbf:ffff:ffff:ffff:ffff:ffff:ffff
20527c0:cc0::/2827c0:ccf:ffff:ffff:ffff:ffff:ffff:ffff
20627c0:cd0::/2827c0:cdf:ffff:ffff:ffff:ffff:ffff:ffff
20727c0:ce0::/2827c0:cef:ffff:ffff:ffff:ffff:ffff:ffff
20827c0:cf0::/2827c0:cff:ffff:ffff:ffff:ffff:ffff:ffff
20927c0:d00::/2827c0:d0f:ffff:ffff:ffff:ffff:ffff:ffff
21027c0:d10::/2827c0:d1f:ffff:ffff:ffff:ffff:ffff:ffff
21127c0:d20::/2827c0:d2f:ffff:ffff:ffff:ffff:ffff:ffff
21227c0:d30::/2827c0:d3f:ffff:ffff:ffff:ffff:ffff:ffff
21327c0:d40::/2827c0:d4f:ffff:ffff:ffff:ffff:ffff:ffff
21427c0:d50::/2827c0:d5f:ffff:ffff:ffff:ffff:ffff:ffff
21527c0:d60::/2827c0:d6f:ffff:ffff:ffff:ffff:ffff:ffff
21627c0:d70::/2827c0:d7f:ffff:ffff:ffff:ffff:ffff:ffff
21727c0:d80::/2827c0:d8f:ffff:ffff:ffff:ffff:ffff:ffff
21827c0:d90::/2827c0:d9f:ffff:ffff:ffff:ffff:ffff:ffff
21927c0:da0::/2827c0:daf:ffff:ffff:ffff:ffff:ffff:ffff
22027c0:db0::/2827c0:dbf:ffff:ffff:ffff:ffff:ffff:ffff
22127c0:dc0::/2827c0:dcf:ffff:ffff:ffff:ffff:ffff:ffff
22227c0:dd0::/2827c0:ddf:ffff:ffff:ffff:ffff:ffff:ffff
22327c0:de0::/2827c0:def:ffff:ffff:ffff:ffff:ffff:ffff
22427c0:df0::/2827c0:dff:ffff:ffff:ffff:ffff:ffff:ffff
22527c0:e00::/2827c0:e0f:ffff:ffff:ffff:ffff:ffff:ffff
22627c0:e10::/2827c0:e1f:ffff:ffff:ffff:ffff:ffff:ffff
22727c0:e20::/2827c0:e2f:ffff:ffff:ffff:ffff:ffff:ffff
22827c0:e30::/2827c0:e3f:ffff:ffff:ffff:ffff:ffff:ffff
22927c0:e40::/2827c0:e4f:ffff:ffff:ffff:ffff:ffff:ffff
23027c0:e50::/2827c0:e5f:ffff:ffff:ffff:ffff:ffff:ffff
23127c0:e60::/2827c0:e6f:ffff:ffff:ffff:ffff:ffff:ffff
23227c0:e70::/2827c0:e7f:ffff:ffff:ffff:ffff:ffff:ffff
23327c0:e80::/2827c0:e8f:ffff:ffff:ffff:ffff:ffff:ffff
23427c0:e90::/2827c0:e9f:ffff:ffff:ffff:ffff:ffff:ffff
23527c0:ea0::/2827c0:eaf:ffff:ffff:ffff:ffff:ffff:ffff
23627c0:eb0::/2827c0:ebf:ffff:ffff:ffff:ffff:ffff:ffff
23727c0:ec0::/2827c0:ecf:ffff:ffff:ffff:ffff:ffff:ffff
23827c0:ed0::/2827c0:edf:ffff:ffff:ffff:ffff:ffff:ffff
23927c0:ee0::/2827c0:eef:ffff:ffff:ffff:ffff:ffff:ffff
24027c0:ef0::/2827c0:eff:ffff:ffff:ffff:ffff:ffff:ffff
24127c0:f00::/2827c0:f0f:ffff:ffff:ffff:ffff:ffff:ffff
24227c0:f10::/2827c0:f1f:ffff:ffff:ffff:ffff:ffff:ffff
24327c0:f20::/2827c0:f2f:ffff:ffff:ffff:ffff:ffff:ffff
24427c0:f30::/2827c0:f3f:ffff:ffff:ffff:ffff:ffff:ffff
24527c0:f40::/2827c0:f4f:ffff:ffff:ffff:ffff:ffff:ffff
24627c0:f50::/2827c0:f5f:ffff:ffff:ffff:ffff:ffff:ffff
24727c0:f60::/2827c0:f6f:ffff:ffff:ffff:ffff:ffff:ffff
24827c0:f70::/2827c0:f7f:ffff:ffff:ffff:ffff:ffff:ffff
24927c0:f80::/2827c0:f8f:ffff:ffff:ffff:ffff:ffff:ffff
25027c0:f90::/2827c0:f9f:ffff:ffff:ffff:ffff:ffff:ffff
25127c0:fa0::/2827c0:faf:ffff:ffff:ffff:ffff:ffff:ffff
25227c0:fb0::/2827c0:fbf:ffff:ffff:ffff:ffff:ffff:ffff
25327c0:fc0::/2827c0:fcf:ffff:ffff:ffff:ffff:ffff:ffff
25427c0:fd0::/2827c0:fdf:ffff:ffff:ffff:ffff:ffff:ffff
25527c0:fe0::/2827c0:fef:ffff:ffff:ffff:ffff:ffff:ffff
25627c0:ff0::/2827c0:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses